from django.contrib import admin
from program.models import (
    Category,
    FundingCategory,
    Language,
    MusicFocus,
    RRule,
    Topic,
    Type,
)


class AdminWithNameSlugIsActive(admin.ModelAdmin):
    list_display = ("name", "slug", "is_active")


class LanguageAdmin(admin.ModelAdmin):
    list_display = ("name", "is_active")


class RRuleAdmin(admin.ModelAdmin):
    list_display = ("name", "freq", "interval", "by_set_pos", "by_weekdays", "count")


admin.site.register(Category, AdminWithNameSlugIsActive)
admin.site.register(FundingCategory, AdminWithNameSlugIsActive)
admin.site.register(Language, LanguageAdmin)
admin.site.register(MusicFocus, AdminWithNameSlugIsActive)
admin.site.register(RRule, RRuleAdmin)
admin.site.register(Topic, AdminWithNameSlugIsActive)
admin.site.register(Type, AdminWithNameSlugIsActive)
